Assign locations to a device posture check policy
Replaces the current assignment.
put
Authorizations
defguard_sessionstringRequired
Path parameters
idinteger · int64Required
ID of the device posture check policy.
Body
Request body for assigning VPN locations to a posture check.
locationsinteger · int64[]Required
Responses
200
Locations assigned to the device posture check policy.
application/json
integer · int64[]Optional
400
Posture checks cannot be assigned to a service location.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges and an active enterprise license.
application/json
404
Device posture check policy not found.
application/json
500
Unable to assign locations to the device posture check policy.
application/json
put/api/v1/device-posture/{id}/locations
PUT /api/v1/device-posture/{id}/locations HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"locations": [
1
]
}[
1
]PreviousDuplicate a device posture check policy
NextAssign device posture check policies to a location
Last updated
Was this helpful?